Bug 167338 - yum install python-util breaks yum, system-config-*, up2date etc...
yum install python-util breaks yum, system-config-*, up2date etc...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
4
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-01 14:33 EDT by b
Modified: 2014-01-21 17:52 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-26 16:19:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
rpm -qa --last (96.00 KB, text/plain)
2005-09-02 10:03 EDT, b
no flags Details

  None (edit)
Description b 2005-09-01 14:33:12 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.2; Linux) (KHTML, like Gecko)

Description of problem:
[root@rcc-dhcp-249-13 ~]# yum 
The yum libraries do not seem to be availableon your system for this version 
of python  2.4.1 (#1, Aug 25 2005, 13:53:31) 
[GCC 4.0.0 20050519 (Red Hat 4.0.0-8)] 
Please make sure the package you used to installyum was built for your install 
of python. 
 
after yum-ing sys.path shows /usr/local/lib* instead of /usr/lib64/*  

Version-Release number of selected component (if applicable):
yum-2.3.2-7

How reproducible:
Didn't try

Steps to Reproduce:
1. 
2. 
3. 
   

Actual Results:   

Expected Results:  yum should not break itself. Pretty much crippled the machine, since most of 
FC4 config stuf relies on python 

Additional info:
Comment 1 Seth Vidal 2005-09-01 22:43:44 EDT
what did you actually yum install here?

can you run: rpm -qa --last | head -10 

and return the output?

Thanks.
Comment 2 b 2005-09-02 10:03:20 EDT
Created attachment 118392 [details]
rpm -qa --last
Comment 3 b 2005-09-02 10:04:46 EDT
After frsh install of fc4 I, yum install python-util. I also, yum install  
python-devel. prior to that a coleague had run yum up2date. In the process of  
one of those python seems to have reinstalled itself into /usr/local/lib,  
because it was initially in /usr/lib64. Since then I have tried to roll the  
python install back using the FC4 cds. I basically used rpm to install  
anything with *python* in the package name, with the replacepckgs opt. yum  
still will not work, and I found that I get the following error, when running  
yum and up2date:  
  
ImportError: /usr/lib64/python2.4/site-packages/rhpl/iconv.so: undefined  
symbol: PyUnicodeUCS4_AsUTF8String  
  
I want to reinstall python, to its fresh FC4 state. but how to accomplish  
this?  
  
  
  
Comment 4 Jeremy Katz 2005-09-21 15:36:48 EDT
Where is python-util from?  This looks like a python package was installed that
isn't built with the same settings that we use.
Comment 5 Jeremy Katz 2006-04-26 16:19:30 EDT
Closing due to inactivity.  Please reopen if you have any further information to
add to this report.

Note You need to log in before you can comment on or make changes to this bug.